echo off


rem =============
rem PROGRAM START
rem =============

:top
cls
echo E4M6GOLD --- AN ULTIMATE DOOM TO DUKE NUKEM 3D CONVERSION LEVEL
echo.
echo The Best DOOM Conversion Level Just Got *MUCH* Better!
echo Made only for the Plutonium Pak / Atomic Edition of Duke Nukem 3D!
echo.
echo Made by Jonah Bishop
echo Author of the Map Editing FAQ for Duke Nukem 3D
echo.
echo Press the corresponding letter below to run that particular command:
echo (Press [CTRL]+[C] at any time to stop this program)
echo.
echo    A - What's New In This Version
echo    B - Load E4M6GOLD
echo    C - Unload E4M6GOLD
echo    D - Delete All E4M6GOLD Files
echo    E - Read The Text File
echo    F - Play Single Player E4M6GOLD
echo    G - Run Setup
echo    H - Exit
echo.
choice /n /c:abcdefgh
if errorlevel 8 goto end
if errorlevel 7 goto setup
if errorlevel 6 goto single
if errorlevel 5 goto text
if errorlevel 4 goto delete
if errorlevel 3 goto unload
if errorlevel 2 goto load
if errorlevel 1 goto new


rem ================
rem ABOUT THIS LEVEL
rem ================

:new
cls
echo This level that you are about to play is a conversion from Episode 4,
echo Mission 6 of The Ultimate DOOM.  I have tried to stick to the original
echo level format, although there are quite a few changes to this level from
echo both the original level from DOOM, and the last version I made of this
echo level.
echo.
echo What do you want to see?
echo.
echo   A - The Changes From The Original Level
echo   B - The Changes From E4M6 --- The First Version
echo   C - The Main Menu
echo.
choice /n /c:abc
if errorlevel 3 goto top
if errorlevel 2 goto first
if errorlevel 1 goto orig

:orig
cls
echo 
echo CHANGES FROM THE ORIGINAL LEVEL
echo 
echo.
echo 1. Several areas of the sky have been raised to permit good flying.
echo 2. There are some teleporters around the level that are used in Duke
echo    Match games.
echo 3. Some areas of the map have been raised to prevent Duke from jumping on
echo    to them.  Also, some walls that you normally can go through have been
echo    made to block so that you cannot just jump to that certain area.
echo 4. One of the teleporter exit locations has been moved for various reasons.
echo 5. Several columns that must be raised or lowered to pass by have been
echo    enlarged so that Duke cannot just walk between them.
echo 6. The final set of bars that must be raised, raises when you step into the 
echo    final room.  I have done this because I couldn't set it so that when the 
echo    final boss dies, the bars raise.
echo 7. The shading throughout the level has been greatly changed.
echo.
pause
goto new

:first
cls
echo 
echo CHANGES FROM THE FIRST VERSION
echo 
echo.
echo 1. The slime is now more like slime.  You now can wade around in it like you
echo    really would.
echo 2. The teleporters are now much more like the original level.  All teleporters
echo    (except Duke Match teleporters) are one way only.
echo 3. Wall alignment is much, much better.
echo 4. Much better Duke Match and Cooperative play support.  Now up to 8 players!
echo 5. Run the level with it's own CON file.  No need for command line switches!
echo 6. The Medikits is now replaced with the "normal" health.
echo 7. More and different weapons around for Duke Match!
echo 8. Shading is *MUCH* better!
echo 9. Many other minor fixes!
echo 10. This version is Plutonium Pak play only!
echo.
pause
goto new


rem ==============
rem LOAD ALL FILES
rem ==============

:load
cls
if exist e4m6on.sc goto alrload
if not exist e4m6gold.map echo Cannot find e4m6gold.map!
if not exist tiles014.ar_ echo Cannot find tiles014.ar_!
if not exist e4m6user.co_ echo Cannot find e4m6user.co_!
if not exist e4m6game.co_ echo Cannot fine e4m6game.co_!
if not exist e4m6off.sc echo Cannot find e4m6off.sc!

echo Loading All E4M6GOLD Files...
echo.
echo Checking for existing user.con file...
echo.
if exist user.con goto backcon
if not exist user.con goto chkgam

:backcon
echo Backing up original user.con file (user.emg)...
echo.
copy /y user.con user.emg
echo Done.
echo.

:chkgam
echo.
echo Checking for existing game.con file...
echo.
if exist game.con goto bakgam
if not exist game.con goto chkart

:bakgam
echo Backing up original game.con file (game.emg)...
echo.
copy /y game.con game.emg
echo Done.
echo.

:chkart
echo Checking for existing tiles014.art file...
echo.
if exist tiles014.art goto backart
if not exist tiles014.art goto initnew

:backart
echo Backing up original tiles014.art files (tiles014.emg)...
echo.
copy /y tiles014.art tiles014.emg
echo Done.
echo.

:initnew
echo Initializing all new files...
echo.
copy /y e4m6user.co_ user.con
copy /y e4m6game.co_ game.con
copy /y tiles014.ar_ tiles014.art
copy /y e4m6off.sc e4m6on.sc
erase e4m6off.sc
echo Done.
echo You are now ready to play E4M6GOLD!  I hope you enjoy it!
echo (c) Jonah Bishop 4/23/97
echo.
pause
goto top

:alrload
echo You have already loaded E4M6GOLD.  If you have accidentally deleted
echo one of the E4M6GOLD files, unload all the files using this program,
echo unpack all the files from the ZIP file, and load the files again.
echo.
pause
goto top

rem ================
rem UNLOAD ALL FILES
rem ================

:unload
cls
if exist e4m6off.sc goto alruload

echo Unloading all E4M6GOLD files...
echo.
if exist user.emg goto rstrcon
if not exist user.emg goto uloadcon

:rstrcon
echo Restoring original user.con file...
echo.
copy /y user.emg user.con
erase user.emg
echo Done.
echo.
goto cbgam

:uloadcon
echo Erasing E4M6GOLD user.con file...
echo.
erase user.con
echo Done.
echo.

:cbgam
if exist game.emg goto rstrgam
if not exist game.emg goto ulgam

:rstrgam
echo Restoring original game.con file...
echo.
copy /y game.emg game.con
erase game.emg
echo Done.
echo.
goto unchkart

:ulgam
echo Erasing E4M6GOLD game.con file...
echo.
erase game.con
echo Done.
echo.

:unchkart
if exist tiles014.emg goto rstrart
if not exist tiles014.emg goto arterase

:rstrart
echo Restoring original art file...
echo.
copy /y tiles014.emg tiles014.art
erase tiles014.emg
echo Done.
echo.
goto finalul

:arterase
echo Erasing E4M6GOLD art file...
echo.
erase tiles014.art
echo Done.
echo.

:finalul
echo Finalizing unload process...
echo.
copy /y e4m6on.sc e4m6off.sc
erase e4m6on.sc
echo Done.
echo.
pause
goto top

:alruload
echo You have already unloaded all the E4M6GOLD files.
echo.
pause
goto top


rem ================
rem DELETE ALL FILES
rem ================

:delete

cls
if exist e4m6on.sc goto notul
if exist e4m6off.sc goto delete2

:notul
echo You do not have these files unloaded.  Unloading all the files will
echo prevent you from having problems in the future.  If you are sure that 
echo all the files are unloaded, you probably deleted the e4m6off.sc file.
echo Just delete all the files that came with the ZIP file if this is the 
echo case.
pause
goto top

:delete2
echo Deleting all E4M6GOLD files...
echo.
erase e4m6user.co_
erase e4m6game.co_
erase e4m6gold.map
erase e4m6gold.txt
erase tiles014.ar_
erase e4m6off.sc
echo Done.
echo.
echo Type "erase e4m6gold.bat" (without the quotes) at the command prompt
echo to erase this file.
echo.
pause
goto end


rem ==================
rem READ THE TEXT FILE
rem ==================

:text
cls
type e4m6gold.txt | more
pause
goto top


rem =============
rem PLAY E4M6GOLD
rem =============

:single
if exist e4m6on.sc goto runduke
if exist e4m6off.sc goto gottal

:gottal
echo The patch files are not loaded.  If you know that the files are loaded,
echo just run the Duke Nukem 3D executable.
echo.
pause
goto top

:runduke
duke3d
echo.
pause
goto top


rem =========                          
rem RUN SETUP
rem =========

:setup
setup
pause
goto top


rem ==============
rem END OF PROGRAM
rem ==============

:end
cls
echo.
echo I hope you enjoy(ed) this level.  Be sure to stop by Map FAQ
echo Central and check it out!  Download the latest Map Editing
echo FAQ as well!
echo.
echo The URL to Map FAQ Central is:
echo.
echo ͻ
echo  http://mapfaq.3dportal.com
echo ͼ
echo.
echo (c) Jonah Bishop 11/2/98
echo.
